Subject: Re: bug#77335: 30.1; RefTeX: Move some 'setq' expressions out of loop

From: Arash Esbati <[email-masked]>
Date: Mon, 14 Jul 2025 21:51:38 +0200

Pengji Zhang <[email-masked]> writes:

> (I am not sure if this is the right list to submit a patch for RefTeX.
> Please let me know if it is not. Thanks!)

I'd say here or [email-masked] should work.

> In the function 'reftex-offer-label-menu', there are two 'setq'
> expressions inside a loop. That makes it hard for users to change those
> settings. For example, I would like to remove 'global-mode-string' from
> the mode line of the label buffer, but there is no easy way to do so.
>
> This patch moves the two 'setq' expressions to the definition of the
> major mode for the buffer, so users could use the mode hook to tweak
> those two settings.

I installed your patch (commit 5d9a67e4).  My apologies it took so long;
I managed to miss this report which I'm now closing.

Best, Arash